diff --git a/gcc/var-tracking.c b/gcc/var-tracking.c
index 5c38c1d..1335b66 100644
--- a/gcc/var-tracking.c
+++ b/gcc/var-tracking.c
@@ -1688,7 +1688,7 @@ shared_hash_find (shared_hash *vars, decl_or_value dv)
   return shared_hash_find_1 (vars, dv, dv_htab_hash (dv));
 }
 
-/* Return true if TVAL is better than CVAL as a canonival value.  We
+/* Return true if TVAL is better than CVAL as a canonical value.  We
    choose lowest-numbered VALUEs, using the RTX address as a
    tie-breaker.  The idea is to arrange them into a star topology,
    such that all of them are at most one step away from the canonical
diff --git a/gcc/varasm.c b/gcc/varasm.c
index 096871d..74ad500 100644
--- a/gcc/varasm.c
+++ b/gcc/varasm.c
@@ -5973,7 +5973,7 @@ finish_tm_clone_pairs (void)
   if (tm_clone_hash == NULL)
     return;
 
-  /* We need a determenistic order for the .tm_clone_table, otherwise
+  /* We need a deterministic order for the .tm_clone_table, otherwise
      we will get bootstrap comparison failures, so dump the hash table
      to a vector, sort it, and dump the vector.  */
 
diff --git a/gcc/varpool.c b/gcc/varpool.c
index ab59c80..756f325 100644
--- a/gcc/varpool.c
+++ b/gcc/varpool.c
@@ -202,7 +202,7 @@ varpool_node::remove_initializer (void)
       && debug_info_level == DINFO_LEVEL_NONE
       /* When doing declaration merging we have duplicate
 	 entries for given decl.  Do not attempt to remove
-	 the boides, or we will end up remiving
+	 the bodies, or we will end up removing
 	 wrong one.  */
       && symtab->state != LTO_STREAMING)
     DECL_INITIAL (decl) = error_mark_node;
@@ -362,7 +362,7 @@ varpool_node::ctor_useable_for_folding_p (void)
      overridden at link or run time.
 
      It is actually requirement for C++ compiler to optimize const variables
-     consistently. As a GNU extension, do not enfore this rule for user defined
+     consistently. As a GNU extension, do not enforce this rule for user defined
      weak variables, so we support interposition on:
      static const int dummy = 0;
      extern const int foo __attribute__((__weak__, __alias__("dummy"))); 
@@ -412,7 +412,7 @@ ctor_for_folding (tree decl)
     return error_mark_node;
 
   /* Do not care about automatic variables.  Those are never initialized
-     anyway, because gimplifier exapnds the code.  */
+     anyway, because gimplifier expands the code.  */
   if (!TREE_STATIC (decl) && !DECL_EXTERNAL (decl))
     {
       gcc_assert (!TREE_PUBLIC (decl));
@@ -555,7 +555,7 @@ varpool_node::assemble_aliases (void)
 bool
 varpool_node::assemble_decl (void)
 {
-  /* Aliases are outout when their target is produced or by
+  /* Aliases are output when their target is produced or by
      output_weakrefs.  */
   if (alias)
     return false;
@@ -793,8 +793,8 @@ varpool_node::create_extra_name_alias (tree alias, tree decl)
   alias_node = varpool_node::create_alias (alias, decl);
   alias_node->cpp_implicit_alias = true;
 
-  /* Extra name alias mechanizm creates aliases really late
-     via DECL_ASSEMBLER_NAME mechanizm.
+  /* Extra name alias mechanism creates aliases really late
+     via DECL_ASSEMBLER_NAME mechanism.
      This is unfortunate because they are not going through the
      standard channels.  Ensure they get output.  */
   if (symtab->cpp_implicit_aliases_done)
diff --git a/gcc/wide-int.cc b/gcc/wide-int.cc
index dab4c19..8fc2849 100644
--- a/gcc/wide-int.cc
+++ b/gcc/wide-int.cc
@@ -390,7 +390,7 @@ wi::force_to_size (HOST_WIDE_INT *val, const HOST_WIDE_INT *xval,
 }
 
 /* This function hides the fact that we cannot rely on the bits beyond
-   the precision.  This issue comes up in the relational comparisions
+   the precision.  This issue comes up in the relational comparisons
    where we do allow comparisons of values of different precisions.  */
 static inline HOST_WIDE_INT
 selt (const HOST_WIDE_INT *a, unsigned int len,
diff --git a/include/ansidecl.h b/include/ansidecl.h
index f6e1761..cad1ab4 100644
--- a/include/ansidecl.h
+++ b/include/ansidecl.h
@@ -1,4 +1,4 @@
-/* ANSI and traditional C compatability macros
+/* ANSI and traditional C compatibility macros
    Copyright (C) 1991-2017 Free Software Foundation, Inc.
    This file is part of the GNU C Library.
 
diff --git a/include/demangle.h b/include/demangle.h
index 996203b..3c5ac19 100644
--- a/include/demangle.h
+++ b/include/demangle.h
@@ -289,13 +289,13 @@ enum demangle_component_type
      which this vtable is built.  */
   DEMANGLE_COMPONENT_CONSTRUCTION_VTABLE,
   /* A typeinfo structure.  This has one subtree, the type for which
-     this is the tpeinfo structure.  */
+     this is the typeinfo structure.  */
   DEMANGLE_COMPONENT_TYPEINFO,
   /* A typeinfo name.  This has one subtree, the type for which this
      is the typeinfo name.  */
   DEMANGLE_COMPONENT_TYPEINFO_NAME,
   /* A typeinfo function.  This has one subtree, the type for which
-     this is the tpyeinfo function.  */
+     this is the typeinfo function.  */
   DEMANGLE_COMPONENT_TYPEINFO_FN,
   /* A thunk.  This has one subtree, the name for which this is a
      thunk.  */
diff --git a/include/gomp-constants.h b/include/gomp-constants.h
index 87484f5..a9b1a56 100644
--- a/include/gomp-constants.h
+++ b/include/gomp-constants.h
@@ -247,7 +247,7 @@ enum gomp_map_kind
 /* Target argument index of THREAD_LIMIT.  */
 #define GOMP_TARGET_ARG_THREAD_LIMIT		(2 << 8)
 
-/* If the value is directly embeded in target argument, it should be a 16-bit
+/* If the value is directly embedded in target argument, it should be a 16-bit
    at most and shifted by this many bits.  */
 #define GOMP_TARGET_ARG_VALUE_SHIFT		16
 
diff --git a/include/libiberty.h b/include/libiberty.h
index a0cbbcf..0c19886 100644
--- a/include/libiberty.h
+++ b/include/libiberty.h
@@ -3,7 +3,7 @@
    Copyright (C) 1997-2017 Free Software Foundation, Inc.
    
    Note - certain prototypes declared in this header file are for
-   functions whoes implementation copyright does not belong to the
+   functions whose implementation copyright does not belong to the
    FSF.  Those prototypes are present in this file for reference
    purposes only and their presence in this file should not construed
    as an indication of ownership by the FSF of the implementation of
@@ -442,7 +442,7 @@ extern struct pex_obj *pex_init (int flags, const char *pname,
 #define PEX_BINARY_INPUT	0x10
 
 /* Output file should be opened in binary mode.  This flag is ignored
-   on Unix.  For proper behaviour PEX_BINARY_INPUT and
+   on Unix.  For proper behavior PEX_BINARY_INPUT and
    PEX_BINARY_OUTPUT have to match appropriately--i.e., a call using
    PEX_BINARY_OUTPUT should be followed by a call using
    PEX_BINARY_INPUT.  */
diff --git a/include/plugin-api.h b/include/plugin-api.h
index 3a3e8b4..d6c984a 100644
--- a/include/plugin-api.h
+++ b/include/plugin-api.h
@@ -300,7 +300,7 @@ enum ld_plugin_status
                                          size_t* len);
 
 /* The linker's interface for specifying the desired order of sections.
-   The sections should be specifed using the array SECTION_LIST in the
+   The sections should be specified using the array SECTION_LIST in the
    order in which they should appear in the final layout.  NUM_SECTIONS
    specifies the number of entries in each array.  This should be invoked
    in the all_symbols_read handler.  */
diff --git a/include/safe-ctype.h b/include/safe-ctype.h
index 16d8ebf..e3199fc 100644
--- a/include/safe-ctype.h
+++ b/include/safe-ctype.h
@@ -112,7 +112,7 @@ extern const unsigned char  _sch_tolower[256];
 #define TOUPPER(c) _sch_toupper[(c) & 0xff]
 #define TOLOWER(c) _sch_tolower[(c) & 0xff]
 
-/* Prevent the users of safe-ctype.h from accidently using the routines
+/* Prevent the users of safe-ctype.h from accidentally using the routines
    from ctype.h.  Initially, the approach was to produce an error when
    detecting that ctype.h has been included.  But this was causing
    trouble as ctype.h might get indirectly included as a result of
diff --git a/include/splay-tree.h b/include/splay-tree.h
index d8210f0..3860b73 100644
--- a/include/splay-tree.h
+++ b/include/splay-tree.h
@@ -98,7 +98,7 @@ struct splay_tree_s {
   /* The root of the tree.  */
   splay_tree_node root;
 
-  /* The comparision function.  */
+  /* The comparison function.  */
   splay_tree_compare_fn comp;
 
   /* The deallocate-key function.  NULL if no cleanup is necessary.  */
diff --git a/libcpp/include/cpplib.h b/libcpp/include/cpplib.h
index b843992..6b8efab 100644
--- a/libcpp/include/cpplib.h
+++ b/libcpp/include/cpplib.h
@@ -460,7 +460,7 @@ struct cpp_options
   unsigned char user_literals;
 
   /* Nonzero means warn when a string or character literal is followed by a
-     ud-suffix which does not beging with an underscore.  */
+     ud-suffix which does not begin with an underscore.  */
   unsigned char warn_literal_suffix;
 
   /* Nonzero means interpret imaginary, fixed-point, or other gnu extension
diff --git a/libcpp/include/line-map.h b/libcpp/include/line-map.h
index 90d65d7..ba422ed 100644
--- a/libcpp/include/line-map.h
+++ b/libcpp/include/line-map.h
@@ -109,7 +109,7 @@ typedef unsigned int linenum_type;
              |   This packing scheme means we effectively have
              |     (column_bits - range_bits)
              |   of bits for the columns, typically (12 - 5) = 7, for 128
-             |   columns; longer line widths are accomodated by starting a
+             |   columns; longer line widths are accommodated by starting a
              |   new ordmap with a higher column_bits.
              |
              | ordmap[2]->start_location-1   | Final location in ordmap 1
@@ -1225,7 +1225,7 @@ int linemap_compare_locations (struct line_maps *set,
 			       source_location   post);
 
 /* Return TRUE if LOC_A denotes the location a token that comes
-   topogically before the token denoted by location LOC_B, or if they
+   topologically before the token denoted by location LOC_B, or if they
    are equal.  */
 inline bool
 linemap_location_before_p (struct line_maps *set,
diff --git a/libcpp/internal.h b/libcpp/internal.h
index f24e85c..0356745 100644
--- a/libcpp/internal.h
+++ b/libcpp/internal.h
@@ -323,7 +323,7 @@ struct cpp_buffer
   struct _cpp_file *file;
 
   /* Saved value of __TIMESTAMP__ macro - date and time of last modification
-     of the assotiated file.  */
+     of the associated file.  */
   const unsigned char *timestamp;
 
   /* Value of if_stack at start of this file.
diff --git a/libgcc/libgcov-util.c b/libgcc/libgcov-util.c
index fd1d1dd..b404e25 100644
--- a/libgcc/libgcov-util.c
+++ b/libgcc/libgcov-util.c
@@ -1077,7 +1077,7 @@ struct overlap_t {
 #define FLAG_BOTH_COLD(flag) ((flag & 0x2) && (flag & 0x20))
 #define FLAG_ONE_HOT(flag) ((flag & 0x4) || (flag & 0x40))
 
-/* Cumlative overlap dscore for profile1 and profile2.  */
+/* Cumulative overlap dscore for profile1 and profile2.  */
 static double overlap_sum_1, overlap_sum_2;
 
 /* sum_all for profile1 and profile2.  */
diff --git a/zlib/zlib.h b/zlib/zlib.h
index 49dfcec..c005686 100644
--- a/zlib/zlib.h
+++ b/zlib/zlib.h
@@ -276,7 +276,7 @@ ZEXTERN int ZEXPORT deflate OF((z_streamp strm, int flush));
   == 0), or after each call of deflate().  If deflate returns Z_OK and with
   zero avail_out, it must be called again after making room in the output
   buffer because there might be more output pending. See deflatePending(),
-  which can be used if desired to determine whether or not there is more ouput
+  which can be used if desired to determine whether or not there is more output
   in that case.
 
     Normally the parameter flush is set to Z_NO_FLUSH, which allows deflate to
@@ -1435,12 +1435,12 @@ ZEXTERN z_size_t ZEXPORT gzfread OF((voidp buf, z_size_t size, z_size_t nitems,
 
      In the event that the end of file is reached and only a partial item is
    available at the end, i.e. the remaining uncompressed data length is not a
-   multiple of size, then the final partial item is nevetheless read into buf
+   multiple of size, then the final partial item is nevertheless read into buf
    and the end-of-file flag is set.  The length of the partial item read is not
    provided, but could be inferred from the result of gztell().  This behavior
    is the same as the behavior of fread() implementations in common libraries,
    but it prevents the direct use of gzfread() to read a concurrently written
-   file, reseting and retrying on end-of-file, when size is not 1.
+   file, resetting and retrying on end-of-file, when size is not 1.
 */
 
 ZEXTERN int ZEXPORT gzwrite OF((gzFile file,
-- 
1.8.5.3

